# Preparação do ambiente

Para instalar o OpenNI 1, OpenNI 2, Libfreenect e OpenCV no Ubuntu 14.04, basta seguir as instruções a seguir.   
  
**Instalando o pacotes necessários para a compilação:**  
sudo apt-get install libusb-1.0-0-dev freeglut3-dev doxygen graphviz libxmu-dev libxi-dev  libgtk2.0-dev  

# OpenNI 1

### Compilando e Instalando o [OpenNI 1]( https://github.com/OpenNI/OpenNI )

git clone https://github.com/OpenNI/OpenNI.git  
cd OpenNI/Platform/Linux/CreateRedist/  
git checkout 7409554df0761bca0213c900189885ff3c4ac852  
./RedistMaker  
cd ../Redist/OpenNI-Bin-Dev-Linux-x64-v1.5.4.0/  
sudo ./install.sh  


### Compilando e Instalando o [SensorKinect]( https://github.com/avin2/SensorKinect )
git clone https://github.com/avin2/SensorKinect.git  

cd SensorKinect/Platform/Linux/CreateRedist/  
./RedistMaker  
cd ../Redist/Sensor-Bin-Linux-x64-v5.1.2.1/  
sudo ./install.sh  

_Como o Linux já possui um driver de kernel para o Kinect, então é necessário desabilitá-lo.  
Basta executar os seguintes comandos:_  
sudo su -c 'echo "blacklist gspca_kinect" >> /etc/modprobe.d/blacklist.conf'  
sudo rmmod gspca_kinect  
sudo modprobe -r gspca_main  


# OpenNI 2

### Compilando e instalando o [OpenNI 2 ](http://structure.io/openni) [link no github]( https://github.com/occipital/openni2 )

**Na plataforma de 32 bits**  
wget -c http://com.occipital.openni.s3.amazonaws.com/OpenNI-Linux-x86-2.2.0.33.tar.zip  
unzip OpenNI-Linux-x86-2.2.0.33.tar.zip  
tar -xjf OpenNI-Linux-x86-2.2.tar.bz2  
cd OpenNI-Linux-x86-2.2  
sudo ./install.sh  
   
**Na plataforma de 64 bits**  
wget -c http://com.occipital.openni.s3.amazonaws.com/OpenNI-Linux-x64-2.2.0.33.tar.zip  
unzip OpenNI-Linux-x64-2.2.0.33.tar.zip  
tar -xjf OpenNI-Linux-x64-2.2.tar.bz2  
cd OpenNI-Linux-x64-2.2/  
sudo ./install.sh  
cd ..  

### Compilando e instalando o [OpenNI2-FreenectDriver]( https://github.com/OpenKinect/libfreenect/tree/master/OpenNI2-FreenectDriver )
git clone https://github.com/OpenKinect/libfreenect.git  
cd libfreenect/  
mkdir build  
cd build  
cmake .. -DBUILD_OPENNI2_DRIVER=ON  
make  
sudo make install  
  
**Na plataforma de 32 bits**  
cp -L lib/OpenNI2-FreenectDriver/libFreenectDriver.so ../../OpenNI-Linux-x86-2.2/Samples/Bin/OpenNI2/Drivers/  
  
**Na plataforma de 64 bits**  
cp -L lib/OpenNI2-FreenectDriver/libFreenectDriver.so ../../OpenNI-Linux-x64-2.2/Samples/Bin/OpenNI2/Drivers/  
  

# OpenCV 3

wget -c https://github.com/Itseez/opencv/archive/3.0.0.zip  
unzip 3.0.0.zip  
cd opencv-3.0.0  
mkdir build  
cd build  
cmake -DWITH_OPENNI=ON  -DBUILD_EXAMPLES=ON ..  
make  
sudo make install  
  
*Dicas para funcionar o* [OpenCV 3 com OpenNI 2]( http://www.cc.gatech.edu/grads/a/ahuaman3/docs/tutorials/software/build/perception.html)  
