#ifndef FRAME_H
#define FRAME_H

#include <OpenNI.h>

class Frame
{
public:
    Frame(int w, int h);
    virtual ~Frame();

    inline int width() {return depthWidth;}
    inline int height() {return depthHeight;}
    inline openni::RGB888Pixel const * getTexture() {return pTexMap;}
    inline openni::RGB888Pixel const * getRGB() {return pRGBMap;}
    inline openni::RGB888Pixel getRGB(unsigned int x, unsigned int y) { return pRGBMap[x + depthWidth*y]; }
    inline openni::DepthPixel const * getDepth() {return pDepthMap;}
    inline openni::DepthPixel getDepth(unsigned int x, unsigned int y) { return pDepthMap[x + depthWidth*y]; }

    friend class NIControl;

protected:
    openni::RGB888Pixel const * pTexMap;
    openni::RGB888Pixel const * pRGBMap;
    openni::DepthPixel const * pDepthMap;
    int depthWidth;
    int depthHeight;
};

#endif // FRAME_H
