#ifndef NIWIDGET_H
#define NIWIDGET_H

#include <QGLWidget>
#include <QToolBar>


#include "nicontrol.h"

class Filter;
class Frame;

class NiWidget : public QWidget
{
    Q_OBJECT
public:
    explicit NiWidget(QString oniFile="", QWidget *parent = 0);
    virtual ~NiWidget();

signals:

public slots:
    void showRGB();
    void showDepth();
    void showOverlay();
    void captureFromONIFile();
    void captureFromDevice();

private slots:

protected:
    void paintEvent(QPaintEvent *event);

    void drawFrame();
    void applyFilter();

private:

    NIControl *niControl;
    Frame *frame;

    QImage image;

    bool pause;
    Filter *filter;
    int filterTableSize;


};

#endif // NIWIDGET_H
