#ifndef FRAME_H
#define FRAME_H

#include <ni/XnCppWrapper.h>

class Frame
{
public:
    Frame(int w, int h);
    virtual ~Frame();

    inline int width() {return depthWidth;}
    inline int height() {return depthHeight;}
    inline XnRGB24Pixel const * getTexture() {return pTexMap;}
    inline XnRGB24Pixel const * getRGB() {return pRGBMap;}
    inline XnRGB24Pixel getRGB(unsigned int x, unsigned int y) { return pRGBMap[x + depthWidth*y]; }
    inline XnDepthPixel const * getDepth() {return pDepthMap;}
    inline XnDepthPixel getDepth(unsigned int x, unsigned int y) { return pDepthMap[x + depthWidth*y]; }


    friend class NIControl;

protected:
    XnRGB24Pixel const * pTexMap;
    XnRGB24Pixel const * pRGBMap;
    XnDepthPixel const * pDepthMap;
    int depthWidth;
    int depthHeight;
};

#endif // FRAME_H
