#ifndef NICONTROL_H
#define NICONTROL_H

//#include "niwidget.h"
#include <ni/XnOS.h>
#include <ni/XnCppWrapper.h>

#include <QString>

class Frame;

class NIControl
{
public:
    enum DisplayMode {
        DISPLAY_MODE_OVERLAY=1,
        DISPLAY_MODE_DEPTH=2,
        DISPLAY_MODE_IMAGE=3,
        DISPLAY_MODE_IR=4
    };

    enum InputMode {
        FromFile,
        FromDevice
    };

    static NIControl * getInstance(QString oniFile="");
    ~NIControl();

    Frame* getFrame();
    inline void setDisplayMode(DisplayMode dm) { nViewState = dm; }
    inline void setZMin(int zMin) { this->zMin = zMin; }
    inline void setZMax(int zMax) { this->zMax = zMax; }
    void setup(QString filename="");


protected:
    NIControl(QString oniFile);
    void initOpenNI(QString oniFile);
    inline bool isStarted() { return started; }


    friend class NiWidget;

protected:
    static NIControl * instance;
    InputMode inputMode;
    QString oniFile;
    bool started;
    xn::Context niContext;
    xn::DepthGenerator depth;
    xn::ImageGenerator image;
    xn::DepthMetaData depthMD;
    xn::ImageMetaData imageMD;

    Frame *frame;

    unsigned int nViewState;
    float *pDepthHist;
    XnRGB24Pixel *pTexMap;
    int depthWidth;
    int depthHeight;
    int zMin, zMax;
};


#endif // NICONTROL_H
